Issue2318

classification
Title: test_zipimport_jy failure on Windows
Type: behaviour Severity: normal
Components: Library Versions: Jython 2.7
Milestone: Jython 2.7.1
process
Status: pending Resolution: fixed
Dependencies: Superseder:
Assigned To: stefan.richthofer Nosy List: jamesmudd, jeff.allen, stefan.richthofer
Priority: normal Keywords: test failure causes

Created on 2015-04-06.21:19:02 by jeff.allen, last changed 2017-03-16.00:04:10 by stefan.richthofer.

Messages
msg9777 (view) Author: Jeff Allen (jeff.allen) Date: 2015-04-06.21:19:02
Observed on Windows 7 with Jython 2.7rc2, test_zipimport_jy reports:

> jython -m test.test_zipimport_jy
test_load_class_from_syspath_zip (__main__.SyspathZipimportTest) ... ok
test_load_pkg_from_syspath (__main__.SyspathZipimportTest) ... ok
test_package_defined (__main__.SyspathZipimportTest) ... ok
test_zipimporter_subclass (__main__.SyspathZipimportTest) ... ok

----------------------------------------------------------------------
Ran 4 tests in 0.047s

OK
test_subclass_assign_attribute (__main__.ZipImporterDictTest) ... ERROR

======================================================================
ERROR: test_subclass_assign_attribute (__main__.ZipImporterDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\jython\2.7rc2\Lib\test\test_zipimport_jy.py", line 51, in test_subclass_assign_attribute
    A(path).somevar = 1
zipimport.ZipImportError: not a Zip file: C:\Users\Jeff\Documents\Jython\2.7rc2\tests\modjy\lib_python_folder\test_modules.zip

----------------------------------------------------------------------
Ran 1 test in 0.000s
msg11232 (view) Author: James Mudd (jamesmudd) Date: 2017-03-15.20:08:36
I have a pull request to fix this one https://github.com/jythontools/jython/pull/65

It was because the test unnecessary relied on the current working directory.
msg11235 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-03-16.00:04:10
Fixed as of https://hg.python.org/jython/rev/3898500ffc7e by merging https://github.com/jythontools/jython/pull/65.
History
Date User Action Args
2017-03-16 00:04:10stefan.richthofersetstatus: open -> pending
nosy: + stefan.richthofer
messages: + msg11235
priority: normal
assignee: stefan.richthofer
resolution: fixed
2017-03-15 20:08:48jamesmuddsetmilestone: Jython 2.7.1
2017-03-15 20:08:37jamesmuddsetnosy: + jamesmudd
messages: + msg11232
2015-04-06 21:19:02jeff.allencreate